import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  {
    path: 'tab4',
    loadChildren: () => import('./tab4/tab4.module').then( m => m.Tab4PageModule)
  },
  {
    path: 'dao-chu',
    loadChildren: () => import('./dao-chu/dao-chu.module').then( m => m.DaoChuPageModule)
  },
  {
    path: 'tab2-day',
    loadChildren: () => import('./tab2-day/tab2-day.module').then( m => m.Tab2DayPageModule)
  },
  {
    path: 'tab2-week',
    loadChildren: () => import('./tab2-week/tab2-week.module').then( m => m.Tab2WeekPageModule)
  },
  {
    path: 'tab2-month',
    loadChildren: () => import('./tab2-month/tab2-month.module').then( m => m.Tab2MonthPageModule)
  },
  {
    path: 'tab2-day1',
    loadChildren: () => import('./tab2-day1/tab2-day1.module').then( m => m.Tab2Day1PageModule)
  },
  {
    path: 'tab3-add',
    loadChildren: () => import('./tab3-add/tab3-add.module').then( m => m.Tab3AddPageModule)
  },
];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
