import { Component,Input } from '@angular/core';
import { ToastController } from '@ionic/angular';
import { ModalController } from '@ionic/angular';
import { ZdComponent } from './zd/zd.component';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss']
})
export class Tab1Page {
  

  constructor(public TCL:ToastController,public MDCL:ModalController) {}

  public cardList = [];
  public flag:boolean = true;
  public color:string = '';

  
  
  async addClick() {
    console.log({click:'add'});
    
    const modal = await this.MDCL.create({
      component:ZdComponent,
      

    });
    await modal.present();
    const { data } = await modal.onWillDismiss();
    console.log(data);

    if (data.click == 'finish') {
      if (data.nam == '支出') {
        this.cardList.push({nam:data.nam,time:data.时间,type:data.类型,beiZhu:data.备注,jinE:data.金额,color:'danger'})
      this.flag = false;
      } else {
        this.cardList.push({nam:data.nam,time:data.时间,type:data.类型,beiZhu:data.备注,jinE:data.金额,color:'success'})
        this.flag = false;
      }
      
    }
    
  }

  
}
