import { Component, OnInit } from '@angular/core';
import { ModalController } from '@ionic/angular';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.scss'],
})
export class LoginComponent implements OnInit {

  constructor(public MDCL:ModalController) { }

  public userName:string = '';
  public passWord:string = '';

  closeClick() {
    this.MDCL.dismiss({
      click:'close',
      type:1,
    })


  }

  loginClick() {
    this.MDCL.dismiss({
      click:'login',
      type:0,
      uN:this.userName,
      pW:this.passWord,
    })
  }



  ngOnInit() {}

}
