import { Component, OnInit } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { LoginComponent } from './login/login.component';

@Component({
  selector: 'app-tab4',
  templateUrl: './tab4.page.html',
  styleUrls: ['./tab4.page.scss'],
})
export class Tab4Page implements OnInit {

  constructor(public MDCL:ModalController) { }

  public flag:boolean = true;
  public userName:string = '';

  async loginClick() {
    const modal = await this.MDCL.create({
      component:LoginComponent,
      
    });
    await modal.present();
    const { data } = await modal.onWillDismiss();
    console.log(data);
    if (data.type == 0) {
      this.flag = !this.flag;
      this.userName = data.uN;

    }
  }
  zhuxiaoClick() {
    location.reload();
  }

  ngOnInit() {
  }

}
